Package org.apache.struts2.validator.validators

# Class ExpressionValidator

java.lang.Object
org.apache.struts2.validator.validators.ValidatorSupport
org.apache.struts2.validator.validators.ExpressionValidator

All Implemented Interfaces:
  `ShortCircuitableValidator`, `Validator`

public class ExpressionValidator extends ValidatorSupport
A Non-Field Level validator that validates based on regular expression supplied.

- expression - the Ognl expression to be evaluated against the stack (Must evaluate to a Boolean)

         <validators>
               <validator type="expression">
                  <param name="expression"> .... </param>
                  <message>Failed to meet Ognl Expression  .... </message>
               </validator>
         </validators>

Author:
  Jason Carreira

- ## Field Summary

  ### Fields inherited from class org.apache.struts2.validator.validators.ValidatorSupport

  `defaultMessage, EMPTY_STRING, messageKey, stack, textProviderFactory`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExpressionValidator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getExpression()`
  `void`
  `setExpression(String expression)`
  `void`
  `validate(Object object)`
  The validation implementation must guarantee that setValidatorContext will be called with a non-null ValidatorContext before validate is called.

  ### Methods inherited from class org.apache.struts2.validator.validators.ValidatorSupport

  `addActionError, addFieldError, getDefaultMessage, getFieldValue, getMessage, getMessageKey, getMessageParameters, getValidatorContext, getValidatorType, isShortCircuit, parse, setDefaultMessage, setMessageKey, setMessageParameters, setShortCircuit, setTextProviderFactory, setValidatorContext, setValidatorType, setValueStack`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ExpressionValidator

    public ExpressionValidator()

- ## Method Details

  - ### setExpression

    public void setExpression(String expression)

  - ### getExpression

    public String getExpression()

  - ### validate

    public void validate(Object object) throws ValidationException
    Description copied from interface: `Validator`
    The validation implementation must guarantee that setValidatorContext will be called with a non-null ValidatorContext before validate is called.
    Parameters:
      `object` - the object to be validated.
    Throws:
      `ValidationException` - is thrown if there is validation error(s).